jQuery(function ($) {
    $(document).on("click", ".btn.add-new", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=get_template&format=raw',
            data: {
                template: 'add-fattura'
            }
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                $('.general-modal .modal-header .modal-title').html(response.data.title);
                $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                $('.general-modal .modal-body').html(response.data.html);
                $('.general-modal').modal('show');
            }

        });
        return false;
    });
    $(document).on("submit", "form[name='add-fattura']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            type: 'POST',
            dataType: "json",
            url: 'index.php',
            data: $(this).parents(".modal").find("form").serialize()
        }).done(function (response) {
            unloader();
            if (response.data.status && response.data.script) {
                eval(response.data.script);
            }
        });
        return false;
    });
    $(document).on("click", ".btn.edit", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=get_template&format=raw',
            data: {
                idFattura: $(this).parents("tr").data("id"),
                template: 'edit-fattura'
            }
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                $('.general-modal .modal-header .modal-title').html(response.data.title);
                $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                $('.general-modal .modal-body').html(response.data.html);
                $('.general-modal').modal('show');
            }
        });
    });
    $(document).on("click", ".btn.remove", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        if (confirm(Joomla.JText._('COM_REDSTAMP_CONFIRM_DELFATTURA'))) {
            loader();
            var row = $(this).parents("tr");
            $.ajax({
                dataType: "json",
                url: 'index.php?options=com_redstamp&task=fatture.remove&format=raw',
                data: {
                    idFattura: $(row).data("id")
                }
            }).done(function (response) {
                unloader();
                if (response.data.status) {
                    $(row).remove();
                }
            });
        }
    });

    $(document).on("click", "form[name='add-fattura'] .items .btn.btn-success", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var cloned = $(this).parents(".element").clone();
        $(cloned).find("input").val("");
        $(this).parents(".items").append($(cloned));
        return false;
    });

    $(document).on("click", "form[name='add-fattura'] .element .btn.btn-danger", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).parents(".element").remove();
        return false;
    });

    console.log(".send-by-mail");
    $(document).on("click", ".send-by-mail", function (e) {
        e.preventDefault();
        e.stopImmediatePropagation();
        e.stopPropagation();

        $(".confirm-email-send").find(".email-wrapper").text($(this).data("email"));
        $(".confirm-email-send").find("form[name='send-mail'] [name='idFattura']").val($(this).parents("tr").data("id"));
        $(".confirm-email-send").modal('show');

        return false;
    });

    $(document).on("submit", "form[name='send-mail']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();

        $(this).parents(".modal").modal('hide');

        loader();

        $.ajax({
            url: 'index.php',
            method: 'POST',
            data: $(".modal.confirm-email-send form[name='send-mail']").serialize()
        }).done(function (response) {
            response = JSON.parse(response);
            unloader();
            $(".mail-sended .modal-body").html(response.data.message);
            $(".mail-sended").modal('show');
        });

        return false;
    });
});