<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class RedstampController extends JControllerLegacy {

    public function get_template() {

        $item = JRequest::getVar('template');
        if (!$item) {
            echo new JResponseJson(array("status" => false), JText::_('COM_REDSTAMP_CONTROLLER_TEMPLATE_NOT_SET'));
        }

        switch ($item) {
            case 'add-anagrafica':
                $title = JText::_("COM_REDSTAMP_ADDANAGRAFICA");
                $button = JText::_("COM_REDSTAMP_ADD");
                $template = "add-anagrafica";
                break;
            case 'edit-anagrafica':
                $title = JText::_("COM_REDSTAMP_EDITANAGRAFICA");
                $button = JText::_("COM_REDSTAMP_EDIT");
                $template = "add-anagrafica";
                break;
            case 'add-bolla':
                $title = JText::_("COM_REDSTAMP_ADDBOLLA");
                $button = JText::_("COM_REDSTAMP_ADD");
                $template = "add-bolla";
                break;
            case 'edit-bolla':
                $title = JText::_("COM_REDSTAMP_EDITBOLLA");
                $button = JText::_("COM_REDSTAMP_EDIT");
                $template = "add-bolla";
                break;
            case 'add-fattura':
                $title = JText::_("COM_REDSTAMP_ADDFATTURA");
                $button = JText::_("COM_REDSTAMP_ADD");
                $template = "add-fattura";
                break;
            case 'edit-fattura':
                $title = JText::_("COM_REDSTAMP_EDITFATTURA");
                $button = JText::_("COM_REDSTAMP_EDIT");
                $template = "add-fattura";
                break;
        }

        ob_start();
        require_once (JPATH_COMPONENT_SITE . "/templates/{$template}.php");
        $result = ob_get_clean();

        echo new JResponseJson(array("status" => true, "html" => $result, 'title' => $title, "button" => $button));
    }

}
